public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/cyrus-imapd/
Date: Sun,  9 Jun 2019 11:40:09 +0000 (UTC)	[thread overview]
Message-ID: <1560080397.f6d75bdfc33d380556d045c5610e402b8799065e.pacho@gentoo> (raw)

commit:     f6d75bdfc33d380556d045c5610e402b8799065e
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  9 11:38:22 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jun  9 11:39:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6d75bdf

net-mail/cyrus-imapd: sphinx support is unmaintained and broken

Closes: https://bugs.gentoo.org/662944
Closes: https://bugs.gentoo.org/426044
Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 net-mail/cyrus-imapd/cyrus-imapd-3.0.10-r1.ebuild | 224 ++++++++++++++++++++++
 1 file changed, 224 insertions(+)

diff --git a/net-mail/cyrus-imapd/cyrus-imapd-3.0.10-r1.ebuild b/net-mail/cyrus-imapd/cyrus-imapd-3.0.10-r1.ebuild
new file mode 100644
index 00000000000..2a381e5de2d
--- /dev/null
+++ b/net-mail/cyrus-imapd/cyrus-imapd-3.0.10-r1.ebuild
@@ -0,0 +1,224 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic pam ssl-cert user
+
+DESCRIPTION="The Cyrus IMAP Server"
+HOMEPAGE="https://www.cyrusimap.org/"
+SRC_URI="https://github.com/cyrusimap/${PN}/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="BSD-with-attribution GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="afs backup calalarm caps clamav http kerberos ldap lmdb \
+	mysql nntp pam perl postgres replication +server sieve snmp \
+	sqlite ssl static-libs tcpd test xapian"
+
+CDEPEND="
+	sys-libs/zlib:0=
+	dev-libs/libpcre:3
+	>=dev-libs/cyrus-sasl-2.1.13:2
+	dev-libs/jansson
+	dev-libs/icu:0=
+	sys-libs/e2fsprogs-libs
+	afs? ( net-fs/openafs )
+	calalarm? ( dev-libs/libical:0= )
+	caps? ( sys-libs/libcap )
+	clamav? ( app-antivirus/clamav )
+	http? ( dev-libs/libxml2:2 dev-libs/libical:0= )
+	kerberos? ( virtual/krb5 )
+	ldap? ( net-nds/openldap )
+	lmdb? ( dev-db/lmdb:0= )
+	mysql? ( dev-db/mysql-connector-c:0= )
+	nntp? ( !net-nntp/leafnode )
+	pam? (
+			virtual/pam
+			>=net-mail/mailbase-1
+		)
+	perl? ( dev-lang/perl:= )
+	postgres? ( dev-db/postgresql:* )
+	snmp? ( >=net-analyzer/net-snmp-5.2.2-r1:0= )
+	ssl? ( >=dev-libs/openssl-1.0.1e:0=[-bindist] )
+	sqlite? ( dev-db/sqlite:3 )
+	tcpd? ( >=sys-apps/tcp-wrappers-7.6
+		snmp? ( net-analyzer/net-snmp:0=[tcpd=] )
+		)
+	xapian? ( >=dev-libs/xapian-1.4.0:0= )
+"
+DEPEND="${CDEPEND}
+	test? ( dev-util/cunit )
+"
+
+# all blockers really needed?
+# file collision with app-arch/dump - bug 619584
+RDEPEND="${CDEPEND}
+	!mail-mta/courier
+	!net-mail/bincimap
+	!net-mail/courier-imap
+	!net-mail/uw-imap
+	!app-arch/dump
+"
+
+REQUIRED_USE="
+	afs? ( kerberos )
+	backup? ( sqlite )
+	calalarm? ( http )
+	http? ( sqlite )
+"
+
+# https://bugs.gentoo.org/678754
+# TODO: check underlinking for other libraries
+PATCHES=( "${FILESDIR}/cyrus-imapd-libcap-libs-r1.patch" )
+
+pkg_setup() {
+	enewuser cyrus -1 -1 /usr/cyrus mail
+	# https://bugs.gentoo.org/604466
+	append-ldflags $(no-as-needed)
+}
+
+src_prepare() {
+	default
+	# Fix master(8)->cyrusmaster(8) manpage.
+	for i in `grep -rl -e 'master\.8' -e 'master(8)' "${S}"` ; do
+		sed -i -e 's:master\.8:cyrusmaster.8:g' \
+			-e 's:master(8):cyrusmaster(8):g' \
+			"${i}" || die "sed failed" || die "sed failed"
+	done
+	mv man/master.8 man/cyrusmaster.8 || die "mv failed"
+	sed -i -e "s:MASTER:CYRUSMASTER:g" \
+		-e "s:Master:Cyrusmaster:g" \
+		-e "s:master:cyrusmaster:g" \
+		man/cyrusmaster.8 || die "sed failed"
+
+	# lock.h to afs/lock.h
+	sed -i -e '/lock.h/s:lock.h:afs/lock.h:' \
+		ptclient/afskrb.c || die
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+	if use afs ; then
+		myconf+=" --with-afs-libdir=/usr/$(get_libdir)"
+		myconf+=" --with-afs-incdir=/usr/include/afs"
+	fi
+	# sphinx is unmaintained and dead, bug #662944
+	econf \
+		--enable-unit-tests \
+		--enable-murder \
+		--enable-idled \
+		--enable-event-notification \
+		--enable-autocreate \
+		--enable-pcre \
+		--with-com_err \
+		--with-cyrus-user=cyrus \
+		--with-sasl \
+		--without-krb \
+		--without-krbdes \
+		--disable-sphinx \
+		--enable-squat \
+		--with-zlib \
+		$(use_enable afs) \
+		$(use_enable afs krb5afspts) \
+		$(use_enable backup) \
+		$(use_enable calalarm calalarmd) \
+		$(use_with caps libcap) \
+		$(use_with clamav) \
+		$(use_enable nntp) \
+		$(use_enable http) \
+		$(use_enable replication) \
+		$(use_enable kerberos gssapi) \
+		$(use_with ldap) \
+		$(use_with lmdb) \
+		$(use_with mysql) \
+		$(use_with postgres pgsql) \
+		$(use_with perl) \
+		$(use_with sqlite) \
+		$(use_with ssl openssl) \
+		$(use_enable server) \
+		$(use_enable sieve) \
+		$(use_with snmp) \
+		$(use_enable static-libs static) \
+		$(use_with tcpd libwrap) \
+		$(use_enable xapian) \
+		${myconf}
+}
+
+src_install() {
+	emake DESTDIR="${D}" INSTALLDIRS=vendor install
+
+	dodoc README*
+	dodoc -r doc
+	cp -r contrib tools "${D}/usr/share/doc/${PF}"
+	rm -f doc/text/Makefile*
+
+	mv "${D}"usr/libexec/{master,cyrusmaster} || die
+
+	insinto /etc
+	newins "${D}usr/share/doc/${PF}/doc/examples/cyrus_conf/normal.conf" cyrus.conf
+	newins "${D}usr/share/doc/${PF}/doc/examples/imapd_conf/normal.conf" imapd.conf
+
+	sed -i -e '/^configdirectory/s|/var/.*|/var/imap|' \
+		-e '/^partition-default/s|/var/.*|/var/spool/imap|' \
+		-e '/^sievedir/s|/var/.*|/var/imap/sieve|' \
+		"${D}"etc/imapd.conf
+
+	sed -i -e 's|/var/imap/socket/lmtp|/run/cyrus/socket/lmtp|' \
+		-e 's|/var/imap/socket/notify|/run/cyrus/socket/notify|' \
+		"${D}"etc/cyrus.conf
+
+	# turn off sieve if not installed
+	if ! use sieve; then
+		sed -i -e "/sieve/s/^/#/" "${D}/etc/cyrus.conf" || die
+	fi
+	# same thing for http(s) as well
+	if ! use http; then
+		sed -i -e "/http/s/^/#/" "${D}/etc/cyrus.conf" || die
+	fi
+
+	newinitd "${FILESDIR}/cyrus.rc8" cyrus
+	newconfd "${FILESDIR}/cyrus.confd" cyrus
+	newpamd "${FILESDIR}/cyrus.pam-include" sieve
+
+	for subdir in imap/{,db,log,msg,proc,socket,sieve} spool/imap/{,stage.} ; do
+		keepdir "/var/${subdir}"
+		fowners cyrus:mail "/var/${subdir}"
+		fperms 0750 "/var/${subdir}"
+	done
+	for subdir in imap/{user,quota,sieve} spool/imap ; do
+		for i in a b c d e f g h i j k l m n o p q r s t v u w x y z ; do
+			keepdir "/var/${subdir}/${i}"
+			fowners cyrus:mail "/var/${subdir}/${i}"
+			fperms 0750 "/var/${subdir}/${i}"
+		done
+	done
+}
+
+pkg_preinst() {
+	if ! has_version ${CATEGORY}/${PN} ; then
+		elog "For correct logging add the following to /etc/syslog.conf:"
+		elog "    local6.*         /var/log/imapd.log"
+		elog "    auth.debug       /var/log/auth.log"
+		echo
+
+		elog "You have to add user cyrus to the sasldb2. Do this with:"
+		elog "    saslpasswd2 cyrus"
+	fi
+}
+
+pkg_postinst() {
+	# do not install server.{key,pem) if they exist
+	if use ssl ; then
+		if [ ! -f "${ROOT}"etc/ssl/cyrus/server.key ]; then
+			install_cert /etc/ssl/cyrus/server
+			chown cyrus:mail "${ROOT}"etc/ssl/cyrus/server.{key,pem}
+		fi
+	fi
+
+	echo
+	einfo "Please see https://www.cyrusimap.org/imap/download/upgrade.html"
+	einfo "for upgrade instructions."
+	echo
+}


             reply	other threads:[~2019-06-09 11:40 UTC|newest]

Thread overview: 85+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-09 11:40 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-02 11:14 [gentoo-commits] repo/gentoo:master commit in: net-mail/cyrus-imapd/ David Seifert
2023-05-05 10:42 Arthur Zamarin
2023-03-25  6:35 Arthur Zamarin
2023-02-13  4:23 Sam James
2023-02-13  4:23 Sam James
2022-08-24  5:29 Agostino Sarubbo
2022-08-24  5:25 Agostino Sarubbo
2022-06-27  9:55 Sam James
2022-05-10 16:59 Sam James
2022-05-10 13:47 Agostino Sarubbo
2022-03-22 23:32 Sam James
2022-02-23  2:52 Sam James
2022-02-23  2:52 Sam James
2022-02-21  7:47 Agostino Sarubbo
2022-02-19 19:28 Sam James
2022-02-19 15:47 Jakov Smolić
2021-11-20 15:34 Arthur Zamarin
2021-10-09  3:20 Sam James
2021-10-08 18:49 Agostino Sarubbo
2021-10-08 18:48 Agostino Sarubbo
2021-10-08 18:48 Agostino Sarubbo
2021-09-25 19:08 Sam James
2021-09-16  1:18 Sam James
2021-09-16  1:18 Sam James
2021-09-13 20:30 David Seifert
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-06-13  6:32 Agostino Sarubbo
2021-06-13  6:28 Agostino Sarubbo
2021-06-13  3:45 Sam James
2021-05-10  9:28 Sam James
2021-05-10  9:22 Sam James
2021-05-10  9:22 Sam James
2021-05-07 14:38 Sam James
2021-05-06 23:26 Sam James
2021-05-06 23:26 Sam James
2021-05-06 23:26 Sam James
2021-05-06 23:26 Sam James
2020-12-20 19:07 Thomas Deutschmann
2020-12-17 16:41 Agostino Sarubbo
2020-12-17  8:58 Sam James
2020-09-08  9:21 Eray Aslan
2020-09-08  6:40 Eray Aslan
2020-09-05  4:06 Sam James
2020-05-08  6:38 Agostino Sarubbo
2020-04-09 18:42 Eray Aslan
2019-12-12 14:58 Michał Górny
2019-10-12 21:24 Mikle Kolyada
2019-07-30  6:35 Eray Aslan
2019-06-13 14:54 Agostino Sarubbo
2019-06-13 14:53 Agostino Sarubbo
2019-06-13 14:28 Agostino Sarubbo
2019-06-13 14:12 Agostino Sarubbo
2019-06-09 11:40 Pacho Ramos
2019-06-04 19:01 Agostino Sarubbo
2019-06-03 15:00 Agostino Sarubbo
2019-05-28 10:17 Eray Aslan
2019-04-06 22:23 Patrice Clement
2019-03-26 20:17 Aaron Bauman
2019-02-18 20:29 Brian Evans
2018-08-29  5:41 Eray Aslan
2018-08-29  5:41 Eray Aslan
2018-04-30  8:06 Eray Aslan
2018-03-15 11:09 Mikle Kolyada
2018-03-11  2:16 Thomas Deutschmann
2018-01-22 14:21 Eray Aslan
2017-11-26 19:06 Sergei Trofimovich
2017-10-25  9:31 Agostino Sarubbo
2017-10-16 23:28 Sergei Trofimovich
2017-10-15 21:34 Sergei Trofimovich
2017-10-13 15:01 Thomas Deutschmann
2017-06-22  5:22 Eray Aslan
2017-05-17  7:39 Eray Aslan
2017-05-09  8:23 Eray Aslan
2017-01-24 21:16 Jeroen Roovers
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-10-20 14:43 Eray Aslan
2016-07-25 10:26 Eray Aslan
2016-05-21 14:37 Eray Aslan
2016-05-21 14:37 Eray Aslan
2015-12-01 16:09 Eray Aslan
2015-09-17  6:21 Eray Aslan
2015-08-10 12:29 Eray Aslan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1560080397.f6d75bdfc33d380556d045c5610e402b8799065e.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox